/*
   Copyright (C) 2003 Lars Lindner <lars.lindner@gmx.net>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef _CONF_H
#define _CONF_H

#include <glib.h>

#define PATH			"/apps/liferea"

/* these defines don't belong here! */
#define BROWSER_COMMAND		"/apps/liferea/browser"
#define GNOME_DEFAULT_BROWSER_COMMAND	"/desktop/gnome/url-handlers/unknown"
#define DEFAULT_BROWSER_COMMAND	"mozilla %s"
#define TIME_FORMAT		"/apps/liferea/timeformat"
#define USE_DC			"/apps/liferea/ns_dc"
#define USE_CONTENT		"/apps/liferea/ns_content"
#define USE_SLASH		"/apps/liferea/ns_slash"
	
#define PROXY_HOST		"/system/http_proxy/host"
#define PROXY_PORT		"/system/http_proxy/port"
#define USE_PROXY		"/system/http_proxy/use_http_proxy"

void	loadConfig(void);

/* feed list manipulation methods */
void	loadFeeds(void);
GSList * getFeedKeyList(void);

int	addFeedToConfig(gchar *feedkey, gchar *url);
void	removeFeedFromConfig(gchar *feedkey);
gchar * getFreeFeedKey(void);

int	setFeedTitleInConfig(gchar *feedkey, gchar *feedname);
int	setFeedURLInConfig(gchar *feedkey, gchar *feedurl);

void	moveUpFeedPositionInConfig(gchar *feedkey);
void	moveDownFeedPositionInConfig(gchar *feedkey);
void	sortFeedKeyList(void);

/* preferences configuration methods */

gboolean 	getBooleanConfValue(gchar *valuename);
gchar *		getStringConfValue(gchar *valuename);
gint		getNumericConfValue(gchar  *valuename);

void 	setBooleanConfValue(gchar *valuename, gboolean value);
void	setStringConfValue(gchar *valuename, gchar *value);
void	setNumericConfValue(gchar  *valuename, gint value);

#endif
